=== debian/changelog ===
obs-source-copy (0.2.2-7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:47 +1100

obs-source-copy (0.2.2-7build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:06:27 +0000

obs-source-copy (0.2.2-7) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 19:26:28 -0300

obs-source-copy (0.2.2-6) experimental; urgency=medium

  * debian/tests/*: created to provide a trivial CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 Mar 2023 14:05:46 -0300

obs-source-copy (0.2.2-5) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:34:05 -0300

obs-source-copy (0.2.2-4) unstable; urgency=medium

  * debian/control:
      - Added Enhances field.
      - Added obs-studio to Depends field.
      - Set 'Multi-Arch: same'.
  * debian/rules: fixed execute_after_dh_install target.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 Feb 2023 12:14:19 -0300

obs-source-copy (0.2.2-3) unstable; urgency=medium

  * debian/patches/010_add-pt-BR.patch: updated translation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Feb 2023 12:46:25 -0300

obs-source-copy (0.2.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Feb 2023 09:32:42 -0300

obs-source-copy (0.2.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1030362)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Feb 2023 09:05:23 -0300
