=== debian/control ===
Source: obs-source-copy
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/source-copy.1261/
Vcs-Browser: https://salsa.debian.org/debian/obs-source-copy
Vcs-Git: https://salsa.debian.org/debian/obs-source-copy.git

Package: obs-source-copy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to copy or save scenes, sources and filters
 This plugin lets to copy to clipboard and paste or save to files and load
 scenes, sources and filters. The information is saved in JSON format.
 .
 This plugin is very useful to make backups of the scenes, sources and filters
 or to transport some elements between "profiles".
