## obs-source-copy 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+    legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(source-copy VERSION 0.2.2)
+project(source-copy VERSION 0.2.4)
 set(PROJECT_FULL_NAME "Source Copy")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -18,16 +21,23 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)
 
 target_sources(${PROJECT_NAME} PRIVATE
-source-copy.cpp
+	source-copy.cpp
 	source-copy.hpp
+	obs-websocket-api.h
 	version.h)
 
 if(BUILD_OUT_OF_TREE)
 	find_package(libobs REQUIRED)
 	find_package(obs-frontend-api REQUIRED)
 	include(cmake/ObsPluginHelpers.cmake)
+	find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
 	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
 else()
+	if(OBS_VERSION VERSION_GREATER_EQUAL 30.1.0)
+		find_package(Qt6 COMPONENTS Core Widgets)
+	else()
+		find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
+	endif()
 	set(OBS_FRONTEND_API_NAME "frontend-api")
 endif()
   
@@ -53,8 +63,6 @@
 	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
 endif()
 
-# lines if you want add Qt UI in your plugin
-find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
 set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)
 
 target_link_libraries(${PROJECT_NAME}
@@ -74,9 +82,14 @@
 		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
 	install(DIRECTORY data/locale
 		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
 else()
 	target_include_directories(${PROJECT_NAME} PRIVATE
 		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-	set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})
