=== debian/changelog ===
obs-source-copy (0.2.4-1) unstable; urgency=medium

  * New upstream version 0.2.4.
  * debian/patches/020_fix-FTBFS.patch: removed because the upstream applied
    this patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Jun 2024 16:42:48 -0300

obs-source-copy (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3.
  * debian/copyright:
      - Added rights for the new file obs-websocket-api.h.
      - Updated upstream copyright years.
  * debian/patches/010_add-pt-BR.patch: dropped because the upstream applied
    this patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 23 May 2024 12:35:35 -0300

obs-source-copy (0.2.2-8) unstable; urgency=medium

  * debian/control:
      - Improved long description.
      - Replaced qtbase5-dev by qt6-base-dev.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/020_fix-FTBFS.patch: created to replace deprecated
    obs_sceneitem_get_info. Thanks to Exeldro <exelsor@hotmail.com>.
    (Closes: #1071017)
  * debian/rules: removed no longer needed 'export QT_SELECT = qt5'.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 23 May 2024 10:15:07 -0300
