## obs-source-copy 0.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
-  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
-    legacy_check()
-  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(source-copy VERSION 0.2.4)
+project(source-copy VERSION 0.2.5)
 set(PROJECT_FULL_NAME "Source Copy")
 
 # Set new UUIDs when you start to create a new plugin.
