=== debian/changelog ===
obs-source-copy (0.2.5-2) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 17:37:30 -0300

obs-source-copy (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5.
  * debian/control: bumped Standards-Version to 4.7.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 Nov 2024 16:03:53 -0300
