=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/source-copy.1261/
 Vcs-Browser: https://salsa.debian.org/debian/obs-source-copy
 Vcs-Git: https://salsa.debian.org/debian/obs-source-copy.git
@@ -12,7 +16,7 @@
 Package: obs-source-copy
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to copy or save scenes, sources and filters
