=== debian/changelog ===
obs-source-copy (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated requirements for OBS 31.1 or higher in (Build-)Depends fields.
        (Closes: #1128460)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: created to update pt-BR translation.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 12:17:50 -0300
