=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: obs-source-copy
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libobs-dev (>= 29),
+               libobs-dev (>= 31.1),
                libxkbcommon-dev,
-               qt6-base-dev
-Standards-Version: 4.7.2
+               qt6-base-private-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/source-copy.1261/
 Vcs-Browser: https://salsa.debian.org/debian/obs-source-copy
 Vcs-Git: https://salsa.debian.org/debian/obs-source-copy.git
@@ -16,7 +14,7 @@
 Package: obs-source-copy
 Architecture: any
 Multi-Arch: same
-Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 31.1), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to copy or save scenes, sources and filters
